CFGUSBLoader

Discussion in 'Wii U - Hacking & Backup Loaders' started by Jazzist, Feb 17, 2015.

  1. Jazzist
    OP

    Jazzist GBAtemp Regular

    Member
    142
    22
    Jun 27, 2013
    Hello!

    My situation:

    1. I downloaded http://wiibrew.org/wiki/CustomizeMii to make a CFGUSBLoader WAD.
    2. I downloaded the WAD listed in the Official CFG Loader Forwarder thread (The one labelled USBLoaderCFG - UCXF - IOS58 v14 vWii Matrix.wad (mirror)) and openned it up in CustomizeMii
    3. In CustomizeMii I went to Options and selected "New DOL" (there I picked CFGV71beta49).
    4. Used MultiModManager and installed the WAD succesfuly. Read that I needed IOS58 for it to work but it would say "IOS58 installation failed" whenever it'd try to finish the download.
    5. Used NUS Downloaded and got both IOS58 versions (IOS58-64-6176.wad, IOS58-64-v6175.wad) and didn't manage to install either through WAD MANAGER or MultiModManager (Although in the IOS menu thingy in MultiModManager, IOS58 showed as yellow, and the program says that means it's installed?)

    Anyways, bottom line, the WAD for CFGUSBLoader that it sitting on my System Menu leaves the vWii in a black screen whenever I try to load it.

    Any advice? All I want is a CFGUSBLoader Channel to not to have to go through the HBC ._.

    If it helps, all the hacking my vWii has had is this to get games working through USB: http://gbatemp.net/threads/simple-guide-to-install-cios-on-vwii-backup-nand-and-keys.339890/
     
  2. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    Do you have a NAND/Keys backup? vIOS 58 is not replacable with IOS 58, it's fine as it is and will break if you try to replace it. You will have to re-install the previous version from your NAND backup. Unless it shows that the IOS 58 is the correct version (I'll edit with the correct version very quickly). Also, CustomizeMii may have packed the .wad incorrectly, does CFG have it's own forwarder for vWii?

    Edit: Here it is, vIOS 58 needs to be version v6432
     
    Jazzist likes this.
  3. Jazzist
    OP

    Jazzist GBAtemp Regular

    Member
    142
    22
    Jun 27, 2013
    Thank you. Yes, I never got to install the IOS58, and it shows in MultiMod Manager as v6432 when I hover over it.

    As for the forwarder, I used the one above, which is from this thread: https://gbatemp.net/threads/official-cfg-loader-forwarder.275487/

    USBLoaderCFG - UCXF - IOS58 v14 vWii Matrix.wad (mirror)

    After, of course, editing it to pick the new CFG USB Loader's boot.dol

    EDIT: Tried the wad I linked above itself. It does work. I had asumed it would load an older boot.dol if I didn't set the new one in CustomizeMii, huh.
     
  4. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    Question: why do you need to modify it? Forwarders should be looking for a specific folder and boot.dol, not the contents of the files (unless CFG's is different than any forwarder I've ever seen)
     
    Jazzist likes this.
  5. Jazzist
    OP

    Jazzist GBAtemp Regular

    Member
    142
    22
    Jun 27, 2013
    Yeah, at first I thought that, until I saw the wad's size increased once I set the new boot.dol. <_>;;

    Anyways, it's all working now. Thanks! :lol:

    Now I only need to figure out how to make working WADs for Snes/64/GBA emulators.

    EDIT: Just to make sure, if the vWii bricks, is there any safe way to load a NAND backup? We had bootmii on the Wii, but what's the procedure for the vWii?
     
  6. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    Hey, don't do anything, I'm gonna link you to another thread that will change your life in a second XD

    https://gbatemp.net/threads/forwarders-are-back.340226/ Anything you could possibly need is in the second post
     
  7. Jazzist
    OP

    Jazzist GBAtemp Regular

    Member
    142
    22
    Jun 27, 2013
    Oh my god. Lemme go brick my Wii real quick.

    Wow, even a DS emulator? Hopefully it's good.

    Question: Is there any way to use the old Wii wads of the VC games (+ injected 64 games) in the vWii?

    Would like having OoT/Majora's Mask again on there.
     
  8. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    Pfffffff I'm not qualified to answer that... I'm fairly certain that you can use the same .wads as on a Wii, but I'm not confident enough to commit that answer... I do know that installing .wads on a Wii and then doing the Wii -> Wii U transfer DOES work, though, if that helps at all

    And actually I've heard DeSmumE Wii is crap, save for a few games XD (i.e. runs like molasses)

    Edit: now that I think about it, use the beta version of neek2o (as always, will link in a sec) and use showmewads to install them on your computer. That way there's no risk of a brick

    Aaaaaand here it is: https://gbatemp.net/threads/vwii-sneek.360615/page-19#post-5345561
     
  9. Jazzist
    OP

    Jazzist GBAtemp Regular

    Member
    142
    22
    Jun 27, 2013
    I see there's no WAD Forwarder for vbagx. Guess I'll have to make that myself!

    Yeah, wasn't expecting much from the DS emu. GBA already ran slow anyways, now imagine a DS. <_<;

    EDIT:

    Wow, that's quite recent. o.o

    Guess all I'm missing to be happy (Other than VC titles) is support for the Wii U Gamepad or Nintendont (GC Controller support) everywhere. That'll eventually come!

    http://gbatemp.net/threads/patched-ios80-installer-for-vwii-allows-sd-menu-custom-channels.344882/

    ^ I guess this is what I need to get the OoT/MM thingy going.
     
  10. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    Is there not? I could have sworn I saw one! Huh...
    No, there totally is. Keep scrolling, you'll find it
     
  11. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    Nintendont already supports GameCube controllers with the Wii U GameCube Controller adapter (and all of its clones) or with native Wii ports. And yes, patching the SD menu is one route you could take for playing Virtual Console titles, fair warning though, I've heard Majora's Mask can be buggy as heck on SD card menu no matter what (due to size and whatnot)
     
  12. Jazzist
    OP

    Jazzist GBAtemp Regular

    Member
    142
    22
    Jun 27, 2013
    Got it! Don't know how I missed it. I even reached page 3. lol

    Yeah, I went through the struggle of getting Nintendont working for F-Zero GX and Path of Radiance. But Nintendont can only be used for Gamecube games, correct? So I can't play the emulatores or Wii games that supported the GC Controller with it. Hopefully someday we'll be able to.

    So VC is bugged if patched to play through SD. Guess that means one can't simply install the Majora's Mask Wad on the vWii, huh?
     
  13. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    No, it's fine, it's just that the VC release of MM was buggy to begin with. And like I said, I really, REALLY want to say that it's fine, but I honestly cant since I haven't tried it myself (mainly out of fear :rolleyes:), so that's why I suggest using an EmuNAND. Also, in response to a previous edit I didn't see, use DumpMiiNAND to dump your NAND and console-specific keys if you haven't already, but if you have anything higher than a partial brick (where you can still access the HBC on vWii), there is absolutely no way to restore it, so be very careful
     
  14. Jazzist
    OP

    Jazzist GBAtemp Regular

    Member
    142
    22
    Jun 27, 2013
    I did finish both games on the Wii VC and didn't find any issues, so if they work the same here, all good! But as you, the orange-y risk level is scary 8(.

    I did have to make a backup of those when first hacking the vWii. Might as well update it now.
     
  15. TotalInsanity4

    TotalInsanity4 GBAtemp Supreme Overlord

    Member
    7,567
    7,652
    Dec 1, 2014
    United States
    Under a rock
    Yeah, keeping on top of updating that when updates come out wouldn't be a bad idea. This may sound paranoid, but it also wouldn't be a bad idea to have a few older versions sitting around just in case, as well